Skip to navigation

List Payments

This endpoint retrieves a collection of payments along with their order details.

Successful Response (200)

Returns the matching Payment objects, enclosed in a Pagination object.

Connection Timeouts

TimeoutTime (Seconds)
Open10
Read20

Errors

In addition to the GET Errors applicable to all GET endpoints, the following errors are specific to List Payments:

HTTP Status CodeerrorCodeDescription
422
Unprocessable Entity
errorAn invalid query param was provided.

For example, a value for limit was provided, but was less than 1 or more than 250.
500
Internal Server Error
errorThis is usually caused by sending a fromCreatedDate or toCreatedDate in an invalid format. Please ensure the dash and colon characters are included, and any plus characters are URL-encoded. See Example Request 1.

Also, for the array parameters (ids, tokens, merchantReferences and statuses), do not use comma-separated values or square brackets. Instead, include each parameter multiple times, as needed. See Example Request 2.

Example Request 1

The following example searches for all Clearpay Orders placed within two timestamps, using a local timezone. Note that the plus character must be URL-encoded.

Warning

The request that is automatically generated by Readme appears as though it URL-encodes the Query Params. However, the request that is actually delivered to Clearpay when clicking the “Try It” button does not include any URL-encoding.

Please specifically replace ”+” characters with “%2b” when testing a fromCreatedDate or toCreatedDate with a timezone ahead of UTC.

cURL
curl https://global-api.afterpay.com/v2/payments?fromCreatedDate=2019-01-01T09:00:00.000%2b01:00&toCreatedDate=2019-01-01T17:00:00.000%2b01:00 \
-H 'Authorization: Basic <Base64EncodedCredentials>' \
-H 'User-Agent: <MyUserAgent>' \
-H 'Accept: application/json'

Example Request 2

The following example searches for all Clearpay Orders matching a list of tokens. Note that the tokens parameter is included several times, once for each token.

curl https://api.eu-sandbox.afterpay.com/v2/payments?tokens=abcdefgh&tokens=ijklmnop \
-H 'Authorization: Basic <Base64EncodedCredentials>' \
-H 'User-Agent: <MyUserAgent>' \
-H 'Accept: application/json'

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Headers

User-AgentstringRequired
AcceptstringOptionalDefaults to application/json

Query parameters

toCreatedDatestringOptional

An inclusive end date and time to search, in ISO 8601 format.

fromCreatedDatestringOptional

An inclusive start date and time to search, in ISO 8601 format.

limitintegerOptionalDefaults to 20

The number of results to retrieve from a query. Must be between 1 and 250 (inclusive).

offsetintegerOptionalDefaults to 0
The position on the page to start the results. The first result has a position of 0.
tokenslist of stringsOptional
One or more order tokens to search for.
idslist of stringsOptional
One or more Clearpay Order IDs to search for.
merchantReferenceslist of stringsOptional
One or more Merchant Reference IDs to search for.
statuseslist of stringsOptional
One or more Clearpay Order Statuses to search for. Possible values include "APPROVED" and "DECLINED".
orderBystringOptionalDefaults to createdAt
A field to order results by. If provided, must be one of "createdAt", "id", "totalAmount", "merchantReference" or "email".
ascendingbooleanOptionalDefaults to false

true to order results in ascending order, or false for descending order.